#!/bin/sh

if [ "x$JAVA_HOME" = "x" ]; then
    echo "Error:No JAVA_HOME environment variable defined,it must be needed to run this program"
    exit 1
fi
echo "Using JAVA_HOME:       $JAVA_HOME"

Rundir=`pwd|xargs dirname`

pidfile=${Rundir}/data/FileScan.pid
if test -f $pidfile; then
    pid=`cat $pidfile`
    kill -0 $pid 2>/dev/null
    if test  $? -eq 0 ;then
        echo ", ̺:$pid"
        exit
    fi
fi

"$JAVA_HOME/bin/java" -Djava.ext.dirs=${Rundir}/bin:${Rundir}/lib -Drun.dir=${Rundir} -cp ${Rundir}/bin/FileScan.jar  com.adtec.moia.extend.FileScan  &
